: Class SummaryFilterOutputStream

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mortbay.Util
Class SummaryFilterOutputStream

    java.lang.Object
      |
      +--java.io.OutputStream
            |
            +--java.io.FilterOutputStream
                  |
                  +--com.mortbay.Util.SummaryFilterOutputStream

Direct Known Subclasses:
  DumpFilterOutputStream

public class SummaryFilterOutputStream
extends java.io.FilterOutputStream

Filtered OutputStream that summarized throughput on stderr

Version:
  1.0 Tue Jan 26 1999
Author:
  Greg Wilkins (gregw)
See Also:
  `filterOutputStream`

Fields inherited from class java.io.FilterOutputStream
`out`

Constructor Summary
`SummaryFilterOutputStream(java.io.OutputStream out)` Constructor.
`SummaryFilterOutputStream(java.io.OutputStream out, java.lang.String name)` Constructor.
`SummaryFilterOutputStream(java.io.OutputStream out, java.lang.String name, int size)` Constructor.

Method Summary
`void` | `write(byte[] b)`
`void` | `write(byte[] b, int off, int len)`
`void` | `write(int b)`

Methods inherited from class java.io.FilterOutputStream
`close, flush`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SummaryFilterOutputStream

    public SummaryFilterOutputStream(java.io.OutputStream out)

  Constructor.
  Parameters:
    `out` -

### SummaryFilterOutputStream

    public SummaryFilterOutputStream(java.io.OutputStream out,
                                     java.lang.String name)

  Constructor.
  Parameters:
    `out` -

### SummaryFilterOutputStream

    public SummaryFilterOutputStream(java.io.OutputStream out,
                                     java.lang.String name,
                                     int size)

  Constructor.
  Parameters:
    `out` -

Method Detail

### write

    public void write(int b)
               throws java.io.IOException

  Overrides:
    write in class java.io.FilterOutputStream
  Parameters:
    `b` -
  Throws:
    java.io.IOException -

### write

    public void write(byte[] b)
               throws java.io.IOException

  Overrides:
    write in class java.io.FilterOutputStream
  Parameters:
    `b` -
  Throws:
    java.io.IOException -

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws java.io.IOException

  Overrides:
    write in class java.io.FilterOutputStream
  Parameters:
    `b` -
    `off` -
    `len` -
  Throws:
    java.io.IOException -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD